// 
// syscalls using xorhack
// since there are many syscalls i have only defined some as i used them.
// you can define your own here by following the approach shown.
//
// if someone wants to add all syscalls and send the completed file back
// to me for the next version of xorhack, that'd be great :D
// 
// xorloser - March 2010
// www.xorloser.com
// 

#ifndef _XORHACK_SC_H_
#define _XORHACK_SC_H_

#include "xorhack.h"


static inline u64 xorhack_allocate_memory(
	u64 allocSize, u64 pageExpSize, u64 arg2, u64 flags, u64* lparAddr, u64* muid)
{
	u64 ret;
	xorhack_syscall(0,
		allocSize, pageExpSize, arg2, flags, 0,0,0,0,
		&ret, lparAddr, muid, 0,0,0,0,0);
	return ret;
}

static inline u64 xorhack_release_memory(
	u64 addr)
{
	u64 ret;
	xorhack_syscall(13,
		addr, 0,0,0,0,0,0,0,
		&ret, 0,0,0,0,0,0,0);
	return ret;
}

static inline u64 xorhack_get_version_info(
	u64* version)
{
	u64 ret;
	xorhack_syscall(127,
		0,0,0,0,0,0,0,0,
		&ret, version,0,0,0,0,0,0);
	return ret;
}


#endif // _XORHACK_SC_H_

